de.esprit.netsuite.server.perm

## Class PermissionConfigHandler

- java.lang.Object
- - de.esprit.appsuite.nio.ndf.NdfHandler
  - - de.esprit.netsuite.server.perm.PermissionConfigHandler

- All Implemented Interfaces:
    NdfConstants, NdfParseControl, SimpleLogSupport

      public final class PermissionConfigHandler
      extends NdfHandler

  This class fills the given `PermissionConfig` object with data read from the server config file `ServerFile.PERMISSION_CFG`.
  Author:
    Rainer Buesch

- - ### Field Summary

    - ### Fields inherited from interface de.esprit.appsuite.nio.ndf.NdfConstants

      `allowedInNames, blockCommentChar, booleanFalseChar, booleanFalseLiteral, booleanTrueChar, booleanTrueLiteral, lineCommentChar, ndfAuthorKey, ndfBreakChars, ndfDocCreatedKey, ndfDocTypeKey, ndfDocVersion, ndfDocVersionKey, nullLiteral, quotingBreakChars, separatorLineChar, structureChar, textBreakChars, textParagraph`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PermissionConfigHandler(ServerPermissionConfig permissionCfg)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `foundTableRow(NdfStructure struct, int rowIndex, NdfProperties props)` Called when a table row was found within a table structure.
    `void` | `startDocument(FileInfo fileInfo, NdfProperties headerProps)` Called when document parsing is about to start.

    - ### Methods inherited from class de.esprit.appsuite.nio.ndf.NdfHandler

      `acceptDocumentVersion, asStuffedText, checkDocumentType, doneArray, doneDocument, doneObject, doneProperty, doneProperty, doneTable, foundArrayValue, foundArrayValue, foundBodyText, foundHeaderProperties, foundTableCell, foundTableRow, getCurrentNestingLevel, getCurrentStructure, getFileInfo, getLineNumber, getLogChannel, getMaxNestingLevel, getStructure, isLogDebug, isLogVerbose, logDebug, logDump, logError, logError, logFatal, logInfo, logVerbose, logWarning, setLogChannel, startArray, startObject, startProperty, startTable`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PermissionConfigHandler

          public PermissionConfigHandler(ServerPermissionConfig permissionCfg)

  - ### Method Detail

    - #### startDocument

          public void startDocument(FileInfo fileInfo,
                           NdfProperties headerProps)
                             throws java.lang.Exception

      Description copied from class: `NdfHandler`
      Called when document parsing is about to start.
      Overrides:
        `startDocument` in class `NdfHandler`
        `headerProps` - the header properties found in the document
      Throws:
        `java.lang.Exception`

    - #### foundTableRow

          public void foundTableRow(NdfStructure struct,
                           int rowIndex,
                           NdfProperties props)
                             throws java.lang.Exception

      Description copied from class: `NdfHandler`
      Called when a table row was found within a table structure. This method is called in `NotifyTableValue.AS_PROPERTIES` mode. It is quite expensive because it parses values the same way as property values. But it provides the convenience to extract values in the desired type.
      Overrides:
        `foundTableRow` in class `NdfHandler`
      Throws:
        `java.lang.Exception`
      See Also:
        `NdfHandler.foundTableCell(NdfStructure, int, int, AsciiWord)`

Copyright © 2013 EsprIT-Systems. All Rights Reserved.